ID CVE-2016-6368
Summary A vulnerability in the detection engine parsing of Pragmatic General Multicast (PGM) protocol packets for Cisco Firepower System Software could allow an unauthenticated, remote attacker to cause a denial of service (DoS) condition due to the Snort process unexpectedly restarting. The vulnerability is due to improper input validation of the fields in the PGM protocol packet. An attacker could exploit this vulnerability by sending a crafted PGM packet to the detection engine on the targeted device. An exploit could allow the attacker to cause a DoS condition if the Snort process restarts and traffic inspection is bypassed or traffic is dropped. This vulnerability affects Cisco Firepower System Software that has one or more file action policies configured and is running on any of the following Cisco products: Adaptive Security Appliance (ASA) 5500-X Series with FirePOWER Services; Adaptive Security Appliance (ASA) 5500-X Series Next-Generation Firewalls; Advanced Malware Protection (AMP) for Networks, 7000 Series Appliances; Advanced Malware Protection (AMP) for Networks, 8000 Series Appliances; Firepower 4100 Series Security Appliances; FirePOWER 7000 Series Appliances; FirePOWER 8000 Series Appliances; Firepower 9300 Series Security Appliances; FirePOWER Threat Defense for Integrated Services Routers (ISRs); Industrial Security Appliance 3000; Sourcefire 3D System Appliances; Virtual Next-Generation Intrusion Prevention System (NGIPSv) for VMware. Fixed versions: 5.4.0.10 5.4.1.9 6.0.1.3 6.1.0 6.2.0. Cisco Bug IDs: CSCuz00876.
References
Vulnerable Configurations
  • Cisco Firepower Management Center 6.0.1
    cpe:2.3:a:cisco:firepower_management_center:6.0.1
  • cpe:2.3:a:cisco:firepower_management_center:6.0.0.0
    cpe:2.3:a:cisco:firepower_management_center:6.0.0.0
  • Cisco Firepower Management Center 6.0.0
    cpe:2.3:a:cisco:firepower_management_center:6.0.0
  • Cisco FirePOWER Management Center 6.0.0.1
    cpe:2.3:a:cisco:firepower_management_center:6.0.0.1
CVSS
Base: 5.0 (as of 27-04-2017 - 11:05)
Impact:
Exploitability:
CWE CWE-399
CAPEC
Access
VectorComplexityAuthentication
NETWORK LOW NONE
Impact
ConfidentialityIntegrityAvailability
NONE NONE PARTIAL
refmap via4
bid
  • 97932
  • 98292
confirm https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-20170419-fpsnort
Last major update 05-05-2017 - 21:29
Published 20-04-2017 - 18:59
Last modified 05-05-2017 - 21:29
Back to Top